
/**
 * This class includes the recursive solution of 
 * function factorial discussed in Learning Unit 6.
 * 
 * @author Bernd J. Krmer
 * @version 20.12.2003
 */
public class FacRecursive
{

    /**
     * Calculates factorial recursively
     * illegal inputs are not caught
     * 
     * @param  x   non-negative number
     * @return     factorial of x
     */
    public long factorial (int n) 
    {
        if (n<= 1)
        {
            return 1;
        } else
        {
            return n * factorial (n-1);
        }
    }
}
